ingres_num_rows
ingres_query
Ingres II Functions
PHP Manual

# ingres_pconnect

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres:1.0-1.4.3)

ingres_pconnect — Open a persistent connection to an Ingres II database

### Description

resource ingres_pconnect ([ string `$database` [, string `$username` [, string `$password` ]]] )

Open a persistent connection to an Ingres II database.

There are only 2 differences between this function and ingres_connect() : First, when connecting, the function will first try to find a (persistent) link that's already opened with the same parameters. If one is found, an identifier for it will be returned instead of opening a new connection. Second, the connection to the Ingres server will not be closed when the execution of the script ends. Instead, the link will remain open for future use (ingres_close() will not close links established by ingres_pconnect()). This type of link is therefore called 'persistent'.

### Parameters

`database`

  The database name. Must follows the syntax [node_id::]dbname[/svr_class].

`username`

  The Ingres user name.

`password`

  The password associated with `username` .

### Return Values

Returns a Ingres II link resource on success, or `FALSE` on failure.

### See Also

- ingres_connect()
- ingres_close()

ingres_num_rows
ingres_query
Ingres II Functions
PHP Manual